# -*- encoding: utf-8 -*-
# stub: lentil 1.0.5 ruby lib

Gem::Specification.new do |s|
  s.name = "lentil".freeze
  s.version = "1.0.5"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Jason Casden".freeze, "Cory Lown".freeze, "Bret Davidson".freeze, "Jason Ronallo".freeze]
  s.date = "2017-02-02"
  s.description = "lentil supports the harvesting of images from Instagram and provides several browsing views, mechanisms for sharing, tools for users to select their favorite images, an administrative interface for moderating images, and a system for harvesting images and submitting donor agreements in preparation of ingest into external repositories. Built according to the principles of 'responsive design, lentil is designed for use on mobile devices, tablets, desktops, and larger screens. This project is extracted from the My #HuntLibrary project at NCSU Libraries.".freeze
  s.email = ["lentil@lists.ncsu.edu".freeze]
  s.homepage = "https://github.com/NCSU-Libraries/lentil".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You may need to run 'bundle exec rake lentil:install:migrations' to incorporate any new database migration files.".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.2.3".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "lentil supports the harvesting of images from Instagram.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<rails>.freeze, ["~> 4.2.3"])
    s.add_runtime_dependency(%q<jquery-rails>.freeze, ["~> 4.2"])
    s.add_runtime_dependency(%q<jquery-ui-rails>.freeze, ["~> 5.0"])
    s.add_runtime_dependency(%q<activeadmin>.freeze, ["~> 1.0.0.pre4"])
    s.add_runtime_dependency(%q<devise>.freeze, ["~> 3.5.9"])
    s.add_runtime_dependency(%q<formtastic>.freeze, ["~> 3.1.0"])
    s.add_runtime_dependency(%q<instagram>.freeze, ["~> 1.1.2"])
    s.add_runtime_dependency(%q<hashie>.freeze, ["~> 3.4.1"])
    s.add_runtime_dependency(%q<modernizr-rails>.freeze, ["~> 2.7.0"])
    s.add_runtime_dependency(%q<fancybox2-rails>.freeze, ["~> 0.2.8"])
    s.add_runtime_dependency(%q<whenever>.freeze, [">= 0.8.0"])
    s.add_runtime_dependency(%q<bootstrap-sass>.freeze, ["~> 2.3.0"])
    s.add_runtime_dependency(%q<will_paginate>.freeze, ["~> 3.1.0"])
    s.add_runtime_dependency(%q<state_machines-activerecord>.freeze, ["~> 0.4.0"])
    s.add_runtime_dependency(%q<ruby-oembed>.freeze, ["~> 0.10.1"])
    s.add_runtime_dependency(%q<select2-rails>.freeze, ["~> 4.0.0"])
    s.add_runtime_dependency(%q<compass-rails>.freeze, ["~> 3.0.2"])
    s.add_runtime_dependency(%q<randumb>.freeze, ["~> 0.5.0"])
    s.add_runtime_dependency(%q<lazing>.freeze, ["~> 0.1.1"])
    s.add_runtime_dependency(%q<sitemap_generator>.freeze, ["~> 5.2"])
    s.add_runtime_dependency(%q<google-analytics-rails>.freeze, ["~> 1.1.0"])
    s.add_runtime_dependency(%q<typhoeus>.freeze, ["~> 1.1.0"])
    s.add_runtime_dependency(%q<kaminari>.freeze, ["~> 0.17.0"])
    s.add_runtime_dependency(%q<oj>.freeze, ["~> 2.17"])
    s.add_runtime_dependency(%q<oj_mimic_json>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<emojimmy>.freeze, ["~> 0.3.0"])
    s.add_development_dependency(%q<sqlite3>.freeze, ["~> 1.3.8"])
    s.add_development_dependency(%q<capybara>.freeze, ["~> 2.10.1"])
    s.add_development_dependency(%q<database_cleaner>.freeze, ["~> 1.5.1"])
    s.add_development_dependency(%q<launchy>.freeze, ["~> 2.4.0"])
    s.add_development_dependency(%q<vcr>.freeze, ["~> 3.0.1"])
    s.add_development_dependency(%q<webmock>.freeze, ["~> 2.1.0"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.12.0"])
    s.add_development_dependency(%q<pry-rails>.freeze, ["~> 0.3.2"])
    s.add_development_dependency(%q<mocha>.freeze, ["~> 1.2.1"])
    s.add_development_dependency(%q<single_test>.freeze, ["~> 0.6.0"])
    s.add_development_dependency(%q<poltergeist>.freeze, ["~> 1.12"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9.5"])
  else
    s.add_dependency(%q<rails>.freeze, ["~> 4.2.3"])
    s.add_dependency(%q<jquery-rails>.freeze, ["~> 4.2"])
    s.add_dependency(%q<jquery-ui-rails>.freeze, ["~> 5.0"])
    s.add_dependency(%q<activeadmin>.freeze, ["~> 1.0.0.pre4"])
    s.add_dependency(%q<devise>.freeze, ["~> 3.5.9"])
    s.add_dependency(%q<formtastic>.freeze, ["~> 3.1.0"])
    s.add_dependency(%q<instagram>.freeze, ["~> 1.1.2"])
    s.add_dependency(%q<hashie>.freeze, ["~> 3.4.1"])
    s.add_dependency(%q<modernizr-rails>.freeze, ["~> 2.7.0"])
    s.add_dependency(%q<fancybox2-rails>.freeze, ["~> 0.2.8"])
    s.add_dependency(%q<whenever>.freeze, [">= 0.8.0"])
    s.add_dependency(%q<bootstrap-sass>.freeze, ["~> 2.3.0"])
    s.add_dependency(%q<will_paginate>.freeze, ["~> 3.1.0"])
    s.add_dependency(%q<state_machines-activerecord>.freeze, ["~> 0.4.0"])
    s.add_dependency(%q<ruby-oembed>.freeze, ["~> 0.10.1"])
    s.add_dependency(%q<select2-rails>.freeze, ["~> 4.0.0"])
    s.add_dependency(%q<compass-rails>.freeze, ["~> 3.0.2"])
    s.add_dependency(%q<randumb>.freeze, ["~> 0.5.0"])
    s.add_dependency(%q<lazing>.freeze, ["~> 0.1.1"])
    s.add_dependency(%q<sitemap_generator>.freeze, ["~> 5.2"])
    s.add_dependency(%q<google-analytics-rails>.freeze, ["~> 1.1.0"])
    s.add_dependency(%q<typhoeus>.freeze, ["~> 1.1.0"])
    s.add_dependency(%q<kaminari>.freeze, ["~> 0.17.0"])
    s.add_dependency(%q<oj>.freeze, ["~> 2.17"])
    s.add_dependency(%q<oj_mimic_json>.freeze, ["~> 1.0"])
    s.add_dependency(%q<emojimmy>.freeze, ["~> 0.3.0"])
    s.add_dependency(%q<sqlite3>.freeze, ["~> 1.3.8"])
    s.add_dependency(%q<capybara>.freeze, ["~> 2.10.1"])
    s.add_dependency(%q<database_cleaner>.freeze, ["~> 1.5.1"])
    s.add_dependency(%q<launchy>.freeze, ["~> 2.4.0"])
    s.add_dependency(%q<vcr>.freeze, ["~> 3.0.1"])
    s.add_dependency(%q<webmock>.freeze, ["~> 2.1.0"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.12.0"])
    s.add_dependency(%q<pry-rails>.freeze, ["~> 0.3.2"])
    s.add_dependency(%q<mocha>.freeze, ["~> 1.2.1"])
    s.add_dependency(%q<single_test>.freeze, ["~> 0.6.0"])
    s.add_dependency(%q<poltergeist>.freeze, ["~> 1.12"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9.5"])
  end
end
